Bug 1384637 - Screenshots in Wayland contains random content after arranging combined displays in Gnome shell with dual monitors
Summary: Screenshots in Wayland contains random content after arranging combined displ...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-10-13 18:12 UTC by Scott Tsai
Modified: 2017-12-12 10:59 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:59:03 UTC


Attachments (Terms of Use)

Description Scott Tsai 2016-10-13 18:12:21 UTC
Description of problem:
Under Wayland, after using the "Arrange Combined Displays" feature in Gnome control center, taking screenshots no longer works as expected.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Connect two monitors to Intel graphics card
2. Use the Ctrl+Shift+PrintScreen hotkey to select a region of the screen to take a screenshot. This works.
3. In the Gnome control center, while running the Gnome shell, select Displays -> "Arrange Combined Displays".
4. Move primary display to the right of the 2ndary display
5. Use the Ctrl+Shift+PrintScreen hotkey to select a region of the screen to take a screenshot. This fails.


Actual results:
Clipboard contains a transparent bitmap or seemingly old and random screen content.

Expected results:
Screenshot of selected region.

Additional info:

Comment 1 Scott Tsai 2016-10-13 18:22:53 UTC
Additional Component Versions:
mutter-3.22.0-2.fc25.x86_64
gtk3-3.22.1-1.fc25.x86_64

Graphics Hardware:
00:02.0 VGA compatible controller [0300]: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller [8086:0412] (rev 06)

Comment 2 Gergely Polonkai 2017-04-13 07:49:14 UTC
Same here.

Grphics hardware:

00:02.0 VGA compatible controller: Intel Corporation HD Graphics 520 (rev 07) (prog-if 00 [VGA controller])
01:00.0 Display controller: Advanced Micro Devices, Inc. [AMD/ATI] Sun XT [Radeon HD 8670A/8670M/8690M / R5 M330 / M430] (rev 83)

gtk3-3.22.11-1.fc26.x86_64
mutter-3.24.0-1.fc26.x86_64
libwayland-server-1.13.0-1.fc26.x86_64
libwayland-client-1.13.0-1.fc26.i686

Using Fedora 26 Alpha

On a side note this makes screen sharing with (probably) any application impossible (tried Google Hangouts and Skype).

Comment 3 Fedora End Of Life 2017-11-16 19:27:05 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:59:03 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.